Subject: some more questions :cygwin setup failed
From: rahul toley <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 14 Apr 2001 11:00:50 -0700 (PDT)

Hi Gerrit,Thanks for your help and explanation. I used setup.exe to install cygwin  . Still the shell gets killed . If I try to open the cygwin.dat(under C:\cygwin directory) file , it opens as a shell with title "Finished - cygwin" the prompt itself shows "bad command or filename"  . If I try to do anything to this shell , the system prompts me to close it .Basically after installation , I see an icon and if I click on it , the shell opens and gets killed immediately . I need cygwin to install verilog-icarus,perl and gcc. I would appreciate your diagnostics as I couldnt get any more info from the user guide regarding installation and the first steps after installation.I expected cygwin a unix like shell from where I can execute all unix development tools eventually.  thanks,Rahul.--- "Gerrit P. Haase"  wrote:> rahul toley schrieb am 2001-04-14, 0:15:> > > Target Platform : Windows ME (problem ?)> > I don't know.> > > Executable version :cygwin-1.1.8-1.tar.gz after> > untarring and gziping (i use powerarchivers> extracter)> Never use such extracters!!!> Use setup.exe from cygwin.> Didn't you use setup.exe?> http://www.cygwin.com/setup.exe> Load it down and do the install with this tiny tool.>  > After installing cygwin correct, you may use tar and> gzip and bzip2>  that comes with cygwin, but never use winzip or> some other dumb tool.> They don't extract everything!!!> > > Side Questions:   which is the main executable. i> > tried running cygpath.exe cygcheck.exe> > x:\cygwin\cygwin.bat>  > > Symptoms : Two files that look perfectly normal to> me> > setup and setup.log> [...]> Seems there are some parts missing.> > Load down with setup.exe.> It is difficult to say, what is minimum to install.> > I would suggest, you will need nearly all from> latest and everything> from contrib, well, for the beginning, you won't> need squid, postgresql,> maybe cvs is not important to you, ghostscript is> not that essential> for cygwin to run, mt is for tapes... if you got no> tape..., mutt is> the email-client which will not be used for cygwin> to run and also isn't> ssmtp (mailer for mutt), tetex-beta takes a huge> mount of space and isn't> needed to run cygwin. But all the other packages are> important (more or > less). Well, if you don't plan to develop, there are> some other packs,> which will not be needed, like gcc, but then i> wonder, why you want to > use cygwin...> > I always do 'download from internet' at first, then> run setup again and> install from local directory.> If setup is ready with installing, it makes a> shortcut to your desktop,> if you like, which points to x:\cygwin\cygwin.bat> This .bat file is the startup for cygwin.> You need to call it.> For some reason, you will need to modify it. I added> this line:> set CYGWIN=binmode tty ntsec title> CYGWIN must be set before the start of bash.> Read the cygwin-ug (User Guide) and the FAQ:> http://www.cygwin.com> for more informations.> > whole cygwin.bat:> =================> @echo off> H:> chdir \bin> set CYGWIN=binmode tty ntsec title> bash --login -i> > After calling this .bat, you should be able to call> every binary> from the shell, just like on unixes, like:> $ cygcheck -s -v -r> $ mount> $ help> $ set> $ date> and so on> > Ciao,> > Gerrit> > -- > =^..^= [email-masked]> PGP-Key: 0x28A05137 [875C 745E 01CF 8A34 2767  BE39> 305E 5261 28A0 5137]

---------------------------------
Do You Yahoo!?
Yahoo! Mail Personal Address - Get email at your own domain with Yahoo! Mail.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple